Subject: bug#19162: emacs-24.4 ./configure --with-ns won't proceed on Yosemite 10.10.1

From: "Jan D." <[email-masked]>
Date: Tue, 25 Nov 2014 07:24:31 +0100

Check out config.log.  Compress it and send it here if you don’tsee any error in there.

	Jan D.
 
> 24 nov 2014 kl. 21:20 skrev Yen Chieh Chern <[email-masked]>:
> 
> Hi Jan,
> 
> I have already installed command line tools when run the previous compilation.
> 
> I also tried compiling with flags '--with-ns --without-x', however it doesn't work,
> 
> checking for X... disabled
> checking AppKit/AppKit.h usability... no
> checking AppKit/AppKit.h presence... no
> checking for AppKit/AppKit.h... no
> configure: error: `--with-ns' was specified, but the include
>   files are missing or cannot be compiled.
> 
> Any further ideas?
> 
> Thanks,
> CYC
> 
> On Mon, Nov 24, 2014 at 1:09 PM, Jan D. <[email-masked] <mailto:[email-masked]>> wrote:
> Do:
> 
> xcode-select —install
> 
> and run configure with —with-ns —without-x
> 
> 	Jan D.
> 
>> 24 nov 2014 kl. 09:54 skrev Yen Chieh Chern <[email-masked] <mailto:[email-masked]>>:
>> 
>> Hello there,
>> 
>> I have the latest Xcode 6.1 installed and Mac OS X 10.10.1. When I compiled from source (git clone -b emacs-24 git://git.savannah.gnu.org/emacs.git <http://git.savannah.gnu.org/emacs.git>) with flag --with-ns, I got the following error,
>> 
>> ...
>> 
>> checking for X... libraries /usr/X11/lib, headers /usr/X11/include
>> checking AppKit/AppKit.h usability... no
>> checking AppKit/AppKit.h presence... no
>> checking for AppKit/AppKit.h... no
>> configure: error: `--with-ns' was specified, but the include files are missing or cannot be compiled.
>> 
>> I can confirm that AppKit.h exists under 
>> 
>> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/System/Library/Frameworks/AppKit.framework/Versions/C/Headers/AppKit.h
>> 
>> I also tried the following as mentioned in bug#18779 but it won't help.
>> 
>> ln -s /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include /usr/include
>> 
>> I am not sure if it is due to 10.10.1 upgrade, please let me know if there is a workaround. 
>> 
>> Thanks,
>> CYC
> 
>